/*
 * aTunes 1.10.1
 * Copyright (C) 2006-2008 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.gui.views.dialogs;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.ListSelectionModel;

import net.sourceforge.atunes.gui.GuiUtils;
import net.sourceforge.atunes.gui.views.controls.CustomFrame;
import net.sourceforge.atunes.utils.LanguageTool;

/**
 * The Class RadioBrowserDialog.
 */
public class RadioBrowserDialog extends CustomFrame {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 8523236886848649698L;

	/** The table. */
	private JTable table;

	/**
	 * Instantiates a new radio browser dialog.
	 */
	public RadioBrowserDialog() {
		super(LanguageTool.getString("RADIO_BROWSER"));
		setSize(500, 500);
		setContent();
		setLocationRelativeTo(null);
		GuiUtils.applyComponentOrientation(this);
		enableCloseActionWithEscapeKey();
	}

	/**
	 * Sets the content.
	 */
	private void setContent() {
		JPanel panel = new JPanel(new BorderLayout());
		table = new JTable();
		table.setShowGrid(false);
		table.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		panel.add(new JScrollPane(table), BorderLayout.CENTER);
		add(panel);
	}

	/**
	 * Gets the table.
	 * 
	 * @return the table
	 */
	public JTable getTable() {
		return table;
	}

}
